package com.realnet.x2-b.Services;
import com.realnet.x2-b.Repository.Profile_xRepository;
import com.realnet.x2-b.Entity.Profile_x
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class Profile_xService {
@Autowired
private Profile_xRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Profile_x Savedata(Profile_x data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Profile_x save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Profile_x> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Profile_x> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Profile_x> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Profile_x getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Profile_x update(Profile_x data,Integer id) {
	Profile_x old = Repository.findById(id).get();
old.setName(data.getName());

old.setEmail(data.getEmail());

old.setAge(data.getAge());

final Profile_x test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
